' RunWithOfficeAssistant.VBS 1.01 (C) yoshioka.teruo@nifty.com 2005-05-29
' RunWithOfficeAssistant.VBS runs command with executing/ended message by Office Assistant.
' Usage: Start RunWithOfficeAssistant.VBS "command line" ["message text"]

Option Explicit
Dim WindowStyle
Const vbHide=0
Const vbNormalFocus=1
Const vbMinimizedFocus=2
Const vbMaximizedFocus=3
Const vbNormalNoFocus=4
Const vbMinimizedNoFocus=6
WindowStyle=vbNormalFocus

Dim Command
Dim Text
Dim wShell
Dim RC

If WScript.Arguments.Count>0 Then
  Command=WScript.Arguments(0)
Else
  Command="NotePad.EXE RunWithMsg.TXT"
End If
If WScript.Arguments.Count>1 Then
  Text=WScript.Arguments(1)
Else
  Text=Command
End If

Dim xl
Dim Assistant
Dim AssistantOn
Dim Balloon
Dim MoveWhenInTheWay

Set xl=CreateObject("Excel.Application") 
Set Assistant=xl.Assistant 
AssistantOn=Assistant.On 
Assistant.On=True 
MoveWhenInTheWay=Assistant.MoveWhenInTheWay
Assistant.MoveWhenInTheWay=False
Assistant.KeyboardShortcutTips=False
Set Balloon=Assistant.NewBalloon 
Balloon.Button=0 
Balloon.Mode=2 
Balloon.Icon=0 
Balloon.Heading="Executing..."
Balloon.Text=Text
Balloon.Show 
Assistant.Visible=True 
Assistant.Sounds=True
Assistant.Animation=23 
Set wShell=CreateObject("WScript.Shell")
RC=wShell.Run(Command,WindowStyle,True)
Balloon.Close 
Balloon.Button=1 
Balloon.Mode=0 
If RC Then Balloon.Icon=5 Else Balloon.Icon=4 
Balloon.Heading="Ended... ExitCode="&RC
Balloon.Text=Text
Dim TextToSpeech
Set TextToSpeech=CreateObject("TextToSpeech.TextToSpeech.1")
'TextToSpeech.Select 1
TextToSpeech.Speak "Ended.Ended.Ended."
Assistant.Visible=True 
Balloon.Show 
Balloon.Close 
Assistant.Visible=False 
Assistant.MoveWhenInTheWay=MoveWhenInTheWay
Assistant.On=AssistantOn 
WScript.Quit RC
